Bug 32724 - Web interface don't works without gd
Summary: Web interface don't works without gd
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: linuxconf (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-22 18:13 UTC by ferulisses
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-22 18:13:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ferulisses 2001-03-22 18:13:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en] (Win95; I)


The Linuxconf web interface don't works if you don't have the gd library instaled
IMHO, this is a mistake, ou at least the package linuxconf may depend on gd on install,
so, everybody will install gd to run linuxconf


Reproducible: Always
Steps to Reproduce:
1. Isntall a RedHat Linux 7.0 box without gd, with linuxconf
2. Configure in linuxconf to allow web access
3. Configure in ntsysv to start linuxconf web interface, restart xinetd, etc


Actual Results:  1. Try http://127.0.0.1:98/, it will show you the Linuxconf webpage, but the images
    brokes, if you try to click in "Start", don't work anymore, reload the page also don't work anymore
2. In /var/log/messages you will see:
Mar 22 12:21:16 pavan xinetd[1007]: warning: can't get client address: Invalid argument
Mar 22 12:21:16 pavan xinetd[1007]: file descriptor of service linuxconf has been closed
3. Run linuxconf --http --debug
4. Connect on http://127.0.0.1:8000/
    It will show the startpage, and crash on showing the logo image: 
    *** ERROR *** libgd.so not found -- install the "gd" package.


Expected Results:  Show linuxconf web interface :-)


I don't know if it generate all images on-the-fly, but I think that it may store all images
pre-generated on disk, and just show them, not needing additional libraries to
generate the images

Comment 1 Nalin Dahyabhai 2001-04-03 19:42:17 UTC
This will be fixed in 1.24r2-10 in Raw Hide.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.